angular.module('LoanApplication.routes', [])
    .config(function ($stateProvider, $urlRouterProvider) {
        $stateProvider
            .state('index', {
                cache: false,
                url: "/index",
                templateUrl: "templates/index.html",
                controller: 'IndexController'
            })
            .state('list', {
                cache: true,
                url: "/list/:product_tag/:limit/:rand",
                templateUrl: "templates/list.html",
                controller: 'ListController'
            })
            .state('personal', {
                cache: true,
                url: "/personal",
                templateUrl: "templates/personal/index.html",
                controller: 'PersonalController'
            })
            .state('product', {
                cache: true,
                url: '/product/:id/:amount/',
                templateUrl: "templates/product.html",
                controller: 'ProductController'
            })
            .state('h5page', {
                url: '/h5jump/:id/:brand_name/:product_name/:amount/:time_limit/:interface_type/:interface_content',
                templateUrl: "templates/h5jump.html",
                controller: 'H5PageController'
            })
            .state('application', {
                cache: false,
                url: '/application/:id/:amount/:time_limit/:product_type/:crowd',
                templateUrl: "templates/application.html",
                controller: 'ApplicationController'
            })
            .state('application_success', {
                url: '/application_success',
                templateUrl: "templates/personal/application_success.html",
            })
            .state('application_list', {
                cache: false,
                url: '/application_list',
                templateUrl: "templates/personal/application_list.html",
                controller: "ApplicationListController"
            })
            .state('more', {
                url: '/more',
                templateUrl: "templates/personal/more.html",
            })
            .state('login', {
                url: '/login/:title/:url',
                templateUrl: "templates/personal/login.html",
            })
            .state('login_pane', {
                url: '/login_pane/:params',
                templateUrl: "templates/personal/login_pane.html",
                controller: "LoginPaneController"
            })
            .state('verify', {
                url: '/verify/:title/:url',
                templateUrl: "templates/personal/verify.html",
                controller: "VerifyController"
            })
            .state('password', {
                url: '/password',
                templateUrl: "templates/personal/password.html",
            })
            .state('help', {
                url: '/help',
                templateUrl: "templates/personal/help.html",
                controller: "HelpController"
            })
            .state('introduce', {
                url: '/introduce',
                templateUrl: "templates/personal/introduce.html",
                // controller: "IntroduceController"
            })
            .state('agreement', {
                url: '/agreement',
                templateUrl: "templates/personal/agreement.html",
            })
            .state('feedback', {
                url: '/feedback',
                templateUrl: "templates/personal/feedback.html",
                controller: "FeedbackController"
            })
            .state('wellcome', {
                url: '/wellcome',
                templateUrl: "templates/wellcome.html",
                controller: "WellcomeController"
            })
        ;

        $urlRouterProvider.otherwise("/index");
    })
;